const showIfElements = document.querySelectorAll('[data-showif]');

[].forEach.call(showIfElements, function (element) {
  const config = JSON.parse(element.getAttribute('data-showif'))
  const parentElements = document.querySelectorAll('[name="' + config.element + '"]')
  const inputs = element.querySelectorAll('input,select,textarea:not([readonly])')
  const hide = config.hide === undefined || config.hide

  function toggleElement () {
    // do nothing with unchecked radio inputs
    if (this.type === 'radio' && !this.checked) {
      return
    }

    const value = (this.type === 'checkbox') ? this.checked : this.value
    const conditionMet = (String(value) === String(config.value))

    if (hide) {
      element.style.display = conditionMet ? '' : 'none'
      element.style.visibility = conditionMet ? '' : 'hidden'
    } else {
      element.style.opacity = conditionMet ? '' : '0.4'
const ajaxurl = window.mc4wp_vars.ajaxurl
const settings = window.mc4wp.settings
const notice = document.getElementById('notice-additional-fields')

function checkRequiredListFields () {
  const ids = [].filter.call(document.querySelectorAll('.mc4wp-list-input'), i => i.checked).map(i => i.value).join(',')
  const allowedFields = ['EMAIL', 'FNAME', 'NAME', 'LNAME']
  let showNotice = false

  window.fetch(`${ajaxurl}?action=mc4wp_get_list_details&ids=${ids}`)
    .then(r => r.json())
    .then(lists => {
      lists.forEach(list => {
        list.merge_fields.forEach(f => {
          if (f.required && allowedFields.indexOf(f.tag) < 0) {
            showNotice = true
          }
        })
      })
    }).finally(() => {
      notice.style.display = showNotice ? '' : 'none'
    })
}

if (notice) {
  checkRequiredListFields()

  settings.on('selectedLists.change', checkRequiredListFields)
}
