<?php
/**
 * Plugin support: ThemeREX Pop-Up (Importer support)
 *
 * @package ThemeREX Addons
 * @since v1.5
 */

// Don't load directly
if ( ! defined( 'TRX_ADDONS_VERSION' ) ) {
	exit;
}

// Check plugin in the required plugins
if ( !function_exists( 'trx_addons_trx_popup_importer_required_plugins' ) ) {
	add_filter( 'trx_addons_filter_importer_required_plugins',	'trx_addons_trx_popup_importer_required_plugins', 10, 2 );
	function trx_addons_trx_popup_importer_required_plugins($not_installed='', $list='') {
		if (strpos($list, 'trx_popup')!==false && !trx_addons_exists_trx_popup() )
			$not_installed .= '<br>' . esc_html__('ThemeREX Pop-Up', 'trx_addons');
		return $not_installed;
	}
}

// Set plugin's specific importer options
if ( !function_exists( 'trx_addons_trx_popup_importer_set_options' ) ) {
	add_filter( 'trx_addons_filter_importer_options',	'trx_<?php
/**
 * Plugin support: ThemeREX Pop-Up
 *
 * @package ThemeREX Addons
 * @since v1.82.0
 */

// Don't load directly
if ( ! defined( 'TRX_ADDONS_VERSION' ) ) {
	exit;
}


// Check if ThemeREX Pop-Up installed and activated
if ( !function_exists( 'trx_addons_exists_trx_popup' ) ) {
	function trx_addons_exists_trx_popup() {
		return defined('TRX_POPUP_URL');
	}
}

// Demo data install
//----------------------------------------------------------------------------

// One-click import support
if ( is_admin() ) {
	require_once TRX_ADDONS_PLUGIN_DIR . TRX_ADDONS_PLUGIN_API . 'trx_popup/trx_popup-demo-importer.php';
}

// OCDI support
if ( is_admin() && trx_addons_exists_trx_popup() && function_exists( 'trx_addons_exists_ocdi' ) && trx_addons_exists_ocdi() ) {
	require_once TRX_ADDONS_PLUGIN_DIR . TRX_ADDONS_PLUGIN_API . 'trx_popup/trx_popup-demo-ocdi.php';
}
