<?php
/**
 * Shortcode: Cover link (Elementor support)
 *
 * @package ThemeREX Addons
 * @since v1.86.0
 */

// Don't load directly
if ( ! defined( 'TRX_ADDONS_VERSION' ) ) {
	exit;
}



// Elementor Widget
//------------------------------------------------------
if (!function_exists('trx_addons_sc_cover_add_in_elementor')) {
	add_action( 'elementor/widgets/widgets_registered', 'trx_addons_sc_cover_add_in_elementor' );
	function trx_addons_sc_cover_add_in_elementor() {
		
		if (!class_exists('TRX_Addons_Elementor_Widget')) return;	

		class TRX_Addons_Elementor_Widget_Cover extends TRX_Addons_Elementor_Widget {

			/**
			 * Retrieve widget name.
			 *
			 * @since 1.6.41
			 * @access pub<?php
/**
 * The style "default" of the Cover link
 *
 * @package ThemeREX Addons
 * @since v1.86.0
 */

$args = get_query_var('trx_addons_args_sc_cover');

?><a href="<?php echo empty( $args['url'] ) ? '#' : esc_url( $args['url'] ); ?>"
	class="sc_cover sc_cover_<?php echo esc_attr($args['type']); ?>"
	data-place="<?php echo esc_attr($args['place']); ?>"<?php
	if ( ! empty($args['new_window']) || ! empty($args['url_extra']['is_external']) ) echo ' target="_blank"';
	if ( ! empty($args['url_extra']['nofollow']) ) echo ' rel="nofollow"';
	if ( ! empty($args['css']) ) echo ' style="' . esc_attr($args['css']) . '"';
	trx_addons_sc_show_attributes('sc_cover', $args, 'sc_item_wrapper');
?>></a>