<?php
/**
 * Widget: Video player for Youtube, Vimeo, etc. embeded video (Gutenberg support)
 *
 * @package ThemeREX Addons
 * @since v1.1
 */

// Don't load directly
if ( ! defined( 'TRX_ADDONS_VERSION' ) ) {
	exit;
}



// Gutenberg Block
//------------------------------------------------------

// Add scripts and styles for the editor
if ( ! function_exists( 'trx_addons_gutenberg_sc_video_editor_assets' ) ) {
	add_action( 'enqueue_block_editor_assets', 'trx_addons_gutenberg_sc_video_editor_assets' );
	function trx_addons_gutenberg_sc_video_editor_assets() {
		if ( trx_addons_exists_gutenberg() && trx_addons_get_setting( 'allow_gutenberg_blocks' ) ) {
			// Scripts
			wp_enqueue_script(
				'trx-addons-gutenberg-editor-block-video',
				trx_addons_get_file_url( TRX_ADDONS_PLUGIN_WIDGETS . 'video/gutenberg/video.gutenberg-editor.js' ),
				trx_addons_block_editor_dependencis(),
				file<?php
/**
 * The style "default" of the Widget "Video"
 *
 * @package ThemeREX Addons
 * @since v1.6.10
 */

$args = get_query_var('trx_addons_args_widget_video');
extract($args);
		
// Before widget (defined by themes)
trx_addons_show_layout($before_widget);
			
// Widget title if one was input (before and after defined by themes)
trx_addons_show_layout($title, $before_title, $after_title);
	
// Widget body
trx_addons_show_layout( trx_addons_get_video_layout( array(
														'link' => $link,
														'embed' => $embed,
														'cover' => empty($autoplay) ? $cover : '',
														'show_cover' => true,
														'popup' => empty($autoplay) && ! empty($popup),
														'autoplay' => ! empty($autoplay),
														'mute' => ! empty($autoplay),
														)
													)
						);
	
// After widget (defined by themes)
trx_addons_show_layout($after_widget);
