<?php

use WPGDPRC\Utils\Template;

/**
 * @var string $type
 * @var string $icon
 * @var string $title
 * @var string $text
 * @var string $button (optional)
 */

if ( empty( $type ) ) {
	$type = 'notice';
}
if ( $type === 'wizard' || $type === 'upgrade' ) {
	$type = 'notice wpgdprc-message--large-icon';
}

?>

<div class="wpgdprc-message wpgdprc-message--<?php echo esc_attr( $type ); ?>">
	<div class="wpgdprc-message__container">
		<div class="wpgdprc-message__content">
			<h3 class="wpgdprc-message__title h3"><?php echo esc_html( $title ); ?></h3>
			<p class="wpgdprc-message__text"><?php echo wp_kses_post($text); ?></p>
		</div>
		<div class="wpgdprc-message__icon">
			<?php echo wp_kses($icon, \WPGDPRC\Utils\AdminHelper::getAllowedSvgTags()); ?>
		</div>
	</div>
	<div class="wpgdprc-message__action">
		<?php if ( ! empty( $button ) ) : ?>
			<button class="wpgdpr<?php

/**
 * @var string $type
 * @var string $name
 * @var string $value
 * @var string $class
 * @var string $attr
 */

use WPGDPRC\Utils\AdminForm;

if ( empty( $id ) ) {
	$id = sanitize_key( $name );
}
if ( empty( $type ) ) {
	$type = 'text';
}
?>

<input type="<?php echo esc_attr( $type ); ?>" id="<?php echo esc_attr( $id ); ?>" class="<?php echo esc_attr( $class ); ?>" name="<?php echo esc_attr( $name ); ?>" value="<?php echo esc_attr( $value ); ?>"
    <?php echo AdminForm::buildAttributes( $attr ); // PHPCS: XSS ok; ?> />

<?php if ( $type === 'color' ) : ?>
	<input type="text" id="<?php echo esc_attr( $id ) . '-text'; ?>" class="<?php echo esc_attr( $class ) . '_text'; ?>" name="<?php echo esc_attr( $name ) . '_text'; ?>" value="<?php echo esc_attr( $value ); ?>"
        <?php echo AdminForm::buildAttributes( $attr ); // PHPCS: XSS ok; ?> />
<?php endif; ?>
