<?php

/**
 * Renders a select field.
 * @var array $args
 * @var array $choices
 * @var string $selected
 * @var string $name
 * @var string $id
 * @var string $class
 */

use WPGDPRC\Utils\AdminForm;
?>

<select name="<?php echo esc_attr($name) ?>" class="<?php echo esc_attr($class) ?>" id="<?php echo esc_attr($id) ?>" <?php echo AdminForm::buildAttributes( $args ); // PHPCS: XSS ok; ?> >

    <?php foreach ( $choices as $current_value => $text ): ?>
        <option value="<?php echo esc_attr($current_valu<?php

/**
 * @var string $id
 * @var string $text
 * @var bool $sr_only
 * @var string $info
 */

$classes = [ 'wpgdprc-form__label' ];
if ( ! empty( $sr_only ) ) {
	$classes[] = 'screen-reader-text';
}
$class = implode( ' ', $classes );

?>

<label for="<?php echo esc_attr( $id ); ?>" class="<?php echo esc_attr( $class ); ?>">
	<?php echo esc_html( $text ); ?>
	<?php if ( ! empty( $info ) ) : ?>
		<span title="<?php echo esc_attr( $info ); ?>" class="wpgdprc-label__info">i</span>
	<?php endif; ?>
</label>
