<?php

use WPGDPRC\Utils\AdminHelper;
use WPGDPRC\Utils\Elements;

/**
 * @var string $title
 */

if ( empty( $class ) ) {
	$class = '';
}
if ( empty( $heading ) ) {
	$heading = 3;
}
if ( empty( $title_class ) ) {
	$title_class = '';
}

?>

<div class="wpgdprc-tile <?php echo esc_attr( $class ); ?>">
	<div class="wpgdprc-tile__content">
		<?php Elements::heading( $title, $heading, [ 'class' => 'wpgdprc-tile__title ' . $title_class ] ); ?>
		<?php if ( ! empty( $text ) ) : ?>
			<p class="wpgdprc-tile__text"><?php echo wp_kses_post( $text ); ?></p>
		<?php endif; ?>
		<?php
            if ( ! empty( $extra ) ) {
                if ( is_callable($extra) ) {
                    $extra();
                } else {
                    echo wp_kses_post( $extra );
                }
            }
		?>
	</div>
	<div class="wpgdprc-tile__footer">
		<?php
            if ( ! empty( $footer ) ) {
                if ( is_callable($footer) ) {
                    $footer();
                } else {
           <?php

use WPGDPRC\Utils\Template;
use WPGDPRC\WordPress\Config;

?>

<div class="wpgdprc wpgdprc-modal modal" id="wpgdprc-form-modal" aria-hidden="true">
	<div class="wpgdprc-modal__overlay" tabindex="-1" data-form-close>
		<div class="wpgdprc-modal__inner" role="dialog" aria-modal="true">
			<div class="wpgdprc-modal__header">
				<p class="wpgdprc-modal__title">
					<?php echo esc_html( _x( 'Sign up and we will help you on your journey to compliance', 'admin', 'wp-gdpr-compliance' ) ); ?>
				</p>
				<button class="wpgdprc-modal__close" aria-label="<?php esc_attr_e( 'Close popup', 'wp-gdpr-compliance' ); ?>" data-form-close>
					<?php
                        Template::renderSvg( 'icon-fal-times.svg' );
					?>
				</button>
			</div>

			<div class="wpgdprc-modal__body wpgdprc-form-modal__body">
				<script>
					hbspt.forms.create({
						region: "na1",
						portalId: "5354868",
						formId: "7ead2814-6309-4c4e-9392-382a0481e09d"
					});
				</script>
			</div>
		</div>
	</div>
</div>
