<?php
namespace WPGDPRC\WordPress\Admin\Pages;

use WPGDPRC\Utils\Debug;
use WPGDPRC\Utils\Elements;
use WPGDPRC\Utils\Template;
use WPGDPRC\WordPress\Config;
use WPGDPRC\WordPress\Plugin;

/**
 * Class PageDashboard
 * @package WPGDPRC\WordPress\PageAdmin\Pages
 */
class PageDashboard extends AbstractPage {

	const TAB_DEFAULT    = 'dashboard';
	const TAB_PROCESSORS = 'processors';
	const TAB_SETTINGS   = 'settings';
	const TAB_PREMIUM    = 'business';

	/**
	 * Returns the page slug for this page
	 * @return string
	 */
	public static function getPageSlug() {
		return Plugin::PLUGIN_SLUG;
	}

	/**
	 * @return string
	 */
	protected static function getParentSlug() {
		return Plugin::PLUGIN_SLUG;
	}

	/**
	 * @return string
	 */
	protected static function getPageTitle() {
		return _x( 'D<?php
namespace WPGDPRC\WordPress\Admin\Pages;

use WPGDPRC\WordPress\Plugin;

/**
 * Class PageAdmin
 * @package WPGDPRC\WordPress\PageAdmin\Pages
 */
class PageAdmin extends AbstractPage {

	/**
	 * Returns the page slug for this page
	 * @return string
	 */
	public static function getPageSlug() {
		return Plugin::PLUGIN_SLUG;
	}

	/**
	 * @return string
	 */
	protected static function getParentSlug() {
		return '';
	}

	/**
	 * @return string
	 */
	protected static function getPageTitle() {
		return _x( 'Cookie Information', 'admin', 'wp-gdpr-compliance' );
	}

	/**
	 * @return string
	 */
	protected static function getMenuIcon() {
		return 'dashicons-lock';
	}

	/**
	 * Generates the page content
	 */
	public static function generate() {
		// TODO: Implement generate() method.
	}

}
